Grants in this org. No secrets. Not MCP.
GET
/v1/grantsAuthorization
AuthorizationBearer token (JWT) · headerrequiredHydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Responses
200Grants
grantsGrant[]requiredShow propertiesHide properties
Array of
Grantidstringrequiredorg_idstringrequiredagent_idstringrequireditem_idstringrequiredlevelstringrequiredexpires_atstring<date-time>subject_kindstringrequiredSubject kind. agent_id holds the subject id — the group id when subject_kind is group.
Allowed:
agenthumangroup401missing or invalid Bearer
403not owner
Request
curl -X GET "https://veil.nyc/v1/grants" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://veil.nyc/v1/grants", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://veil.nyc/v1/grants",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"grants": [
{
"id": "string",
"org_id": "string",
"agent_id": "string",
"item_id": "string",
"level": "string",
"expires_at": "2024-01-01T00:00:00Z",
"subject_kind": "agent"
}
]
}missing or invalid Bearer
not owner